ELBuilder (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.el.ELBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.el
Class ELBuilder

    java.lang.Object
      org.richfaces.el.ELBuilder

    public class ELBuilder

extends java.lang.Object

Class provides EL parsing for filter and sort attributes of columns component.

Author:
  Andrey Markavtsov

Constructor Summary
`ELBuilder(java.lang.String orig, java.lang.String var, java.lang.String index, java.lang.String varR, java.lang.String indexR)` Constructor

Method Summary
`static javax.el.ValueExpression` | `createValueExpression(java.lang.String expr, java.lang.Class<?> expectedType, javax.el.ExpressionFactory factory, javax.el.ELContext elContext, java.lang.String var, java.lang.String index, java.lang.String varR, java.lang.String indexR)` Creates new expression using replacements provided
`static java.lang.String` | `getVarReplacement(java.lang.String expr)` Returns var replacement
`java.lang.String` | `parse()` Parsing method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELBuilder

    public ELBuilder(java.lang.String orig,
                     java.lang.String var,
                     java.lang.String index,
                     java.lang.String varR,
                     java.lang.String indexR)

  Constructor

  Parameters:
    `orig` - - original value expression string
    `var` - - columns var string
    `index` - - columns index string
    `varR` - - replacement for var
    `indexR` - - replacement for index

Method Detail

### parse

    public java.lang.String parse()

  Parsing method

  Returns:
    String parsing result

### createValueExpression

    public static javax.el.ValueExpression createValueExpression(java.lang.String expr,
                                                                 java.lang.Class<?> expectedType,
                                                                 javax.el.ExpressionFactory factory,
                                                                 javax.el.ELContext elContext,
                                                                 java.lang.String var,
                                                                 java.lang.String index,
                                                                 java.lang.String varR,
                                                                 java.lang.String indexR)

  Creates new expression using replacements provided

  Parameters:
    `expr` - - original expression
    `expectedType` - - expected type
    `factory` - - expression factory
    `elContext` - - El context
    `var` - - var string
    `index` - - index string
    `varR` - - replacement for var
    `indexR` - - replacement for index
  Returns:

### getVarReplacement

    public static java.lang.String getVarReplacement(java.lang.String expr)

  Returns var replacement

  Parameters:
    `expr` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.